/*
 * ========================================================================
 *
 * Codehaus CARGO, copyright 2004-2011 Vincent Massol.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ========================================================================
 */
package org.codehaus.cargo.container.jetty.internal;

import org.codehaus.cargo.container.spi.configuration.AbstractExistingLocalConfigurationCapability;

import java.util.HashMap;
import java.util.Map;

/**
 * Capabilities of Jetty's
 * {@link AbstractJettyExistingLocalConfiguration}
 * configuration.
 *
 * @version $Id: JettyExistingLocalConfigurationCapability.java 3238 2012-02-23 19:02:46Z alitokmen $
 */
public class JettyExistingLocalConfigurationCapability
        extends AbstractExistingLocalConfigurationCapability
{

    /**
     * Configuration-specific supports Map.
     */
    private Map<String, Boolean> supportsMap;

    /**
     * Initialize the configuration-specific supports Map.
     */
    public JettyExistingLocalConfigurationCapability()
    {
        super();

        this.supportsMap = new HashMap<String, Boolean>();
    }

    /**
     * {@inheritDoc}
     *
     * @see org.codehaus.cargo.container.spi.configuration.AbstractStandaloneLocalConfigurationCapability#getPropertySupportMap()
     */
    @Override
    protected Map<String, Boolean> getPropertySupportMap()
    {
        return supportsMap;
    }
}
